Bug 1283493 - [abrt] nautilus: fast_validate(): nautilus killed by SIGSEGV [NEEDINFO]
[abrt] nautilus: fast_validate(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e4937f6b79e63308de8f984809c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 02:24 EST by Alex Andilevko
Modified: 2016-12-20 11:04 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zx2pv: needinfo? (mclasen)


Attachments (Terms of Use)
File: backtrace (30.62 KB, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: core_backtrace (5.02 KB, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: dso_list (15.49 KB, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: environ (854 bytes, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-19 02:24 EST, Alex Andilevko
no flags Details
File: maps (71.22 KB, text/plain)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details
File: mountinfo (3.64 KB, text/plain)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details
File: open_fds (3.44 KB, text/plain)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-11-19 02:25 EST, Alex Andilevko
no flags Details

  None (edit)
Description Alex Andilevko 2015-11-19 02:24:47 EST
Description of problem:
Steps to reproduce:
1. Download https://www.dropbox.com/s/4ik0pbbpsiqe4ci/Aurora-3.18.tar.gz?dl=0
2. Extract.
3. Go to Aurora-3.18.
4. Select Aurora folder and press Ctrl-C
5. Go to ~/.local/share/themes
6. Press Ctrl-V

Version-Release number of selected component:
nautilus-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: fast_validate
executable:     /usr/bin/nautilus
global_pid:     13045
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 fast_validate at gutf8.c:1474
 #1 g_utf8_validate at gutf8.c:1655
 #2 custom_basename_to_string at nautilus-file-operations.c:817
 #3 eel_strdup_vprintf_with_custom at eel-string.c:552
 #4 f at nautilus-file-operations.c:912
 #5 report_copy_progress at nautilus-file-operations.c:3255
 #6 copy_files at nautilus-file-operations.c:4908
 #7 copy_job at nautilus-file-operations.c:5043
 #8 io_job_thread at gioscheduler.c:85
 #9 g_task_thread_pool_thread at gtask.c:1283

Potential duplicate: bug 741076
Comment 1 Alex Andilevko 2015-11-19 02:24:52 EST
Created attachment 1096504 [details]
File: backtrace
Comment 2 Alex Andilevko 2015-11-19 02:24:53 EST
Created attachment 1096505 [details]
File: cgroup
Comment 3 Alex Andilevko 2015-11-19 02:24:54 EST
Created attachment 1096506 [details]
File: core_backtrace
Comment 4 Alex Andilevko 2015-11-19 02:24:56 EST
Created attachment 1096507 [details]
File: dso_list
Comment 5 Alex Andilevko 2015-11-19 02:24:57 EST
Created attachment 1096508 [details]
File: environ
Comment 6 Alex Andilevko 2015-11-19 02:24:58 EST
Created attachment 1096509 [details]
File: limits
Comment 7 Alex Andilevko 2015-11-19 02:25:00 EST
Created attachment 1096510 [details]
File: maps
Comment 8 Alex Andilevko 2015-11-19 02:25:02 EST
Created attachment 1096511 [details]
File: mountinfo
Comment 9 Alex Andilevko 2015-11-19 02:25:03 EST
Created attachment 1096512 [details]
File: namespaces
Comment 10 Alex Andilevko 2015-11-19 02:25:04 EST
Created attachment 1096513 [details]
File: open_fds
Comment 11 Alex Andilevko 2015-11-19 02:25:06 EST
Created attachment 1096514 [details]
File: proc_pid_status
Comment 12 Alex Andilevko 2015-11-19 02:25:07 EST
Created attachment 1096515 [details]
File: exploitable
Comment 13 yafep 2015-11-19 09:57:56 EST
I've got exact the same issue too, but my abrt links to this bug 
https://bugzilla.redhat.com/show_bug.cgi?id=1274932

Strange thing - if copy (ctrl+c then ctrl+v) the whole Aurora-3.18 folder (which has Aurora folder inside) - it works like a charm, no crash.
Comment 14 dfgdsg 2015-12-18 04:07:13 EST
does anobody reads bugzilla? 3.18.3 an this bug still exists =(
Comment 15 Marcus 2016-08-28 00:45:52 EDT
Similar problem has been detected:

Crash when copying files from an external flash drive on an internal hard drive.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: fast_validate
executable:     /usr/bin/nautilus
global_pid:     4289
kernel:         4.7.2-101.fc23.x86_64
package:        nautilus-3.18.5-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 08:34:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 11:04:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.